com.h3c.sdn.alert

## Class AlertFilter

- java.lang.Object
- - com.h3c.sdn.BaseFilter
  - - com.h3c.sdn.alert.AlertFilter

-     public class AlertFilter
      extends BaseFilter

  Filter alerts based on the supplied conditions. Appropriate conditions are defined for the attributes associated with Alert data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlertFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `StringCondition` | `getOriginCondition()` Returns the `StringCondition` to be used for filtering based on the origin of the alert.
    `SetCondition<Severity>` | `getSeverityCondition()` Returns the `SetCondition` filter that has been defined for filtering the `Severity`.
    `EqualityCondition<Boolean>` | `getStateCondition()` Returns the `EqualityCondition` that has been defined for filtering the state.
    `StringCondition` | `getTopicCondition()` Returns the `StringCondition` to be used for filtering based on the topic of the alert.
    `int` | `hashCode()`
    `void` | `setOriginCondition(StringCondition originCondition)` Sets the `StringCondition` that has been defined for filtering the origin of the alert.
    `void` | `setSeverityCondition(SetCondition<Severity> severityCondition)` Sets the `SetCondition` to be used for filtering based on the `Severity`.
    `void` | `setStateCondition(EqualityCondition<Boolean> stateCondition)` Sets the `EqualityCondition` filter to be used for filtering based on the state.
    `void` | `setTopicCondition(StringCondition topicCondition)` Sets the `StringCondition` that has been defined for filtering the topic of the alert.

    - ### Methods inherited from class com.h3c.sdn.BaseFilter

      `getSysIdCondition, getTimestampCondition, setSysIdCondition, setSysIdCondition, setTimestampCondition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AlertFilter

          public AlertFilter()

  - ### Method Detail

    - #### getSeverityCondition

          public SetCondition<Severity> getSeverityCondition()

      Returns the `SetCondition` filter that has been defined for filtering the `Severity`.
      Returns:
        the filter condition to use for filter on severity

    - #### setSeverityCondition

          public void setSeverityCondition(SetCondition<Severity> severityCondition)

      Sets the `SetCondition` to be used for filtering based on the `Severity`.
      Parameters:
        `severityCondition` - the filter condition to use for filtering on the alert severity

    - #### getStateCondition

          public EqualityCondition<Boolean> getStateCondition()

      Returns the `EqualityCondition` that has been defined for filtering the state.
      Returns:
        the filter condition to use for filtering on the alert state

    - #### setStateCondition

          public void setStateCondition(EqualityCondition<Boolean> stateCondition)

      Sets the `EqualityCondition` filter to be used for filtering based on the state.
      Parameters:
        `stateCondition` - the filter condition to use for filtering on the alert state

    - #### getTopicCondition

          public StringCondition getTopicCondition()

      Returns the `StringCondition` to be used for filtering based on the topic of the alert.
      Returns:
        the filter condition to use for filtering on the alert topic.

    - #### setTopicCondition

          public void setTopicCondition(StringCondition topicCondition)

      Sets the `StringCondition` that has been defined for filtering the topic of the alert.
      Parameters:
        `topicCondition` - the filter condition to use for filtering on the alert topic

    - #### getOriginCondition

          public StringCondition getOriginCondition()

      Returns the `StringCondition` to be used for filtering based on the origin of the alert.
      Returns:
        the filter condition to use for filtering on the alert origin.

    - #### setOriginCondition

          public void setOriginCondition(StringCondition originCondition)

      Sets the `StringCondition` that has been defined for filtering the origin of the alert.
      Parameters:
        `originCondition` - the filter condition to use for filtering on the alert origin

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseFilter`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `BaseFilter`

Copyright © 2014. All Rights Reserved.